#!/usr/bin/env kjscmd

println( "Hello World" );

var d = new DCOPClient();

if ( d.attach())
{
	println("Attached...");
	if( d.isAttached() )
	{
		println( "send test..." )
		if (d.send( "kded","kmilod", "displayText(TQString)", "Test") )
			println("send worked...");
		else
			println("send failed...");
		println( "call test..." )
		var dta = d.call( "kded","kmilod", "pollMilliSeconds()");
		println( dta );
		println( "call test with args" )
		var dta = d.call( "KWeatherService","WeatherService", "wind(TQString)", "KMKE");
		println( dta );


		var ref = d.call("rssservice", "RSSService", "add(TQString)", "http://www.freshmeat.net/rdf.xml");
		if( ref )
		{
			println( "Got ref");
			var data = ref.call("maxAge()");
			println(data);
		}

	}
	else
		println( "Error!" )
}
else
	println("Failed...");

println( "Done" );
